Skip to main content
GET
/
vms
/
{vm_id}
Get VM
curl --request GET \
  --url https://api.nova-cloud.ai/vms/{vm_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vmid": 123,
  "user_id": 123,
  "node": "<string>",
  "instance_label": "<string>",
  "gpu_type": "<string>",
  "gpu_count": 123,
  "storage_gb": 123,
  "ram_gb": 123,
  "cpu_cores": 123,
  "ip_address": "<string>",
  "status": "creating",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "stopped_at": "2023-11-07T05:31:56Z",
  "rental_type": "on_demand",
  "reservation_id": "<string>",
  "auto_restart": true,
  "hourly_rate": 123,
  "gpu_hourly_rate": 123,
  "storage_hourly_rate": 123,
  "cpu_percent": 123,
  "ram_percent": 123,
  "cpu_model": "<string>",
  "pcie_gen": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Path Parameters

vm_id
string<uuid>
required

Response

VM details

id
string<uuid>
vmid
integer
user_id
integer
node
string
instance_label
string | null
gpu_type
string
gpu_count
integer
storage_gb
integer
ram_gb
integer
cpu_cores
integer
ip_address
string | null
status
enum<string>
Available options:
creating,
starting,
running,
stopping,
stopped,
interrupted,
destroyed,
failed,
offline
created_at
string<date-time>
started_at
string<date-time> | null
stopped_at
string<date-time> | null
rental_type
enum<string>
Available options:
on_demand,
reserved,
interruptible
reservation_id
string | null
auto_restart
boolean | null
hourly_rate
number | null
gpu_hourly_rate
number | null
storage_hourly_rate
number | null
cpu_percent
number
ram_percent
number
cpu_model
string | null
pcie_gen
string | null